aboutsummaryrefslogtreecommitdiffstats
path: root/test/tcrl
diff options
context:
space:
mode:
authorRich Salz <rsalz@openssl.org>2015-04-10 10:06:17 -0400
committerRich Salz <rsalz@openssl.org>2015-04-10 10:06:17 -0400
commit30f54ad295d58ff8c6d28c1fd612d23c2c343d19 (patch)
treef740e39be9698b13d0f0a088903b236988aeb075 /test/tcrl
parent2cfdfe0918f03f8323c9523a2beb2b363ae86ca7 (diff)
downloadopenssl-30f54ad295d58ff8c6d28c1fd612d23c2c343d19.tar.gz
test script cleanup
Removed commented-out tests Standardize on doing cmd ... || exit 1 instead of cmd ... if [ $? != 0] ; then exit 1 fi where that if statement has ben one, three, or four lines, variously. Reviewed-by: Richard Levitte <levitte@openssl.org>
Diffstat (limited to 'test/tcrl')
-rw-r--r--test/tcrl63
1 files changed, 11 insertions, 52 deletions
diff --git a/test/tcrl b/test/tcrl
index 216bb8a050..f01eff870b 100644
--- a/test/tcrl
+++ b/test/tcrl
@@ -13,67 +13,26 @@ echo testing crl conversions
cp $t crl-fff.p
echo "p -> d"
-$cmd -in crl-fff.p -inform p -outform d >crl-f.d
-if [ $? != 0 ]; then exit 1; fi
-#echo "p -> t"
-#$cmd -in crl-fff.p -inform p -outform t >crl-f.t
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-fff.p -inform p -outform d >crl-f.d || exit 1
echo "p -> p"
-$cmd -in crl-fff.p -inform p -outform p >crl-f.p
-if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-fff.p -inform p -outform p >crl-f.p || exit 1
echo "d -> d"
-$cmd -in crl-f.d -inform d -outform d >crl-ff.d1
-if [ $? != 0 ]; then exit 1; fi
-#echo "t -> d"
-#$cmd -in crl-f.t -inform t -outform d >crl-ff.d2
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-f.d -inform d -outform d >crl-ff.d1 || exit 1
echo "p -> d"
-$cmd -in crl-f.p -inform p -outform d >crl-ff.d3
-if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-f.p -inform p -outform d >crl-ff.d3 || exit 1
-#echo "d -> t"
-#$cmd -in crl-f.d -inform d -outform t >crl-ff.t1
-#if [ $? != 0 ]; then exit 1; fi
-#echo "t -> t"
-#$cmd -in crl-f.t -inform t -outform t >crl-ff.t2
-#if [ $? != 0 ]; then exit 1; fi
-#echo "p -> t"
-#$cmd -in crl-f.p -inform p -outform t >crl-ff.t3
-#if [ $? != 0 ]; then exit 1; fi
echo "d -> p"
-$cmd -in crl-f.d -inform d -outform p >crl-ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#echo "t -> p"
-#$cmd -in crl-f.t -inform t -outform p >crl-ff.p2
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-f.d -inform d -outform p >crl-ff.p1 || exit 1
echo "p -> p"
-$cmd -in crl-f.p -inform p -outform p >crl-ff.p3
-if [ $? != 0 ]; then exit 1; fi
+$cmd -in crl-f.p -inform p -outform p >crl-ff.p3 || exit 1
-cmp crl-fff.p crl-f.p
-if [ $? != 0 ]; then exit 1; fi
-cmp crl-fff.p crl-ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#cmp crl-fff.p crl-ff.p2
-#if [ $? != 0 ]; then exit 1; fi
-cmp crl-fff.p crl-ff.p3
-if [ $? != 0 ]; then exit 1; fi
-
-#cmp crl-f.t crl-ff.t1
-#if [ $? != 0 ]; then exit 1; fi
-#cmp crl-f.t crl-ff.t2
-#if [ $? != 0 ]; then exit 1; fi
-#cmp crl-f.t crl-ff.t3
-#if [ $? != 0 ]; then exit 1; fi
-
-cmp crl-f.p crl-ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#cmp crl-f.p crl-ff.p2
-#if [ $? != 0 ]; then exit 1; fi
-cmp crl-f.p crl-ff.p3
-if [ $? != 0 ]; then exit 1; fi
+cmp crl-fff.p crl-f.p || exit 1
+cmp crl-fff.p crl-ff.p1 || exit 1
+cmp crl-fff.p crl-ff.p3 || exit 1
+cmp crl-f.p crl-ff.p1 || exit 1
+cmp crl-f.p crl-ff.p3 || exit 1
/bin/rm -f crl-f.* crl-ff.* crl-fff.*
exit 0